<template>
  <div id="module-component">
    <h3>Module component</h3>
    <p v-for="(task, i) in tasks" :key="i">
        <span>{{ task }}</span>
    </p>
    <button @click="countTasks">Calculate</button>
    <p>Amount of tasks: {{ amountTasks }}</p>
  </div>
</template>

<script>
import { mapState, mapMutations } from 'vuex';
export default {
    name: 'ModuleComponent',
    computed: {
        ...mapState('tasks',['tasks', 'amountTasks'])
    },
    methods: {
        ...mapMutations('tasks', ['countTasks'])
    }

}
</script>

<style>

</style>